Support » Plugin: All 404 Redirect to Homepage » Wordfence detecting version “1.16” and has been modified

  • Resolved dramsay

    (@dramsay)


    Wordfence is saying that this file:
    “wp-content/plugins/all-404-redirect-to-homepage/option_page.php”
    on my system has been modified.

    Orignal version:
    sanitize_text_field($_REQUEST[‘_wpnonce’])

    Modified version:
    $_REQUEST[‘_wpnonce’]

    Can I ignore this? Please advise. Thanks.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Hi, Can I please get a response to my question?
    Thanks.

    Plugin Author Fakhri Alsadi

    (@fakhris)

    hello,
    we was change this line to keep the plugin secure,

    the original line was:

    $nonce = isset($_REQUEST[‘_wpnonce’]) ? $_REQUEST[‘_wpnonce’] : ”;

    and the new line is:

    $nonce = isset($_REQUEST[‘_wpnonce’]) ? sanitize_text_field($_REQUEST[‘_wpnonce’]) : ”;

    so please make sure that the 2nd line is exists in the options_page.php (line 10)

    thank you

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.